[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#385263: kpilot: kpilot doesn't handle [ in pdb-doc names

Package: kpilot
Version: 4:3.5.2-0ubuntu6
Severity: normal

(apologies if this should go somewhere ubuntu-specific, but m-x
 debian-bug sends it here... the version in unstable is only a little
 bit ahead of this one, though, but I haven't tested for the bug there.)

Invalid entry (missing ']') at /home/eichin/.kde/share/config/kpilot_docconduitrc:14
Invalid entry (missing ']') at /home/eichin/.kde/share/config/kpilot_docconduitrc:15

those lines are:

/home/eichin/Edge/docs/Swords Against Death [Book 2 of.txt=25fa6427e2feac62956ae9c0c3eeb80c
/home/eichin/Edge/docs/Swords and Deviltry [Book 1 of .txt=4f872c06a3ab766656b04586c105c96c

The bug seems to be that kpilot_docconduitrc is a .ini-style file,
with everything in a [General] stanza -- and a parser that doesn't use
enough context to tell the difference; a workaround would be to
somehow quote (maybe urlencode?) the pathnames to the left of the = above.

(The docfiles are conventional downloads from fictionwise.com, from at
least 5 years back - and raw pilot-xfer doesn't have any trouble with
them, of course.)

(Aside from the warning, I think this is interfering with syncing, I
always get the dialog about duplicate files now...)

-- System Information:
Debian Release: testing/unstable
  APT prefers dapper-updates
  APT policy: (500, 'dapper-updates'), (500, 'dapper-security'), (500, 'dapper')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15-26-686
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages kpilot depends on:
ii  debconf [debconf-2.0 1.4.72ubuntu9       Debian configuration management sy
ii  kdelibs4c2a          4:3.5.2-0ubuntu18.1 core libraries for all KDE applica
ii  libc6                2.3.6-0ubuntu20     GNU C Library: Shared libraries an
ii  libgcc1              1:4.0.3-1ubuntu5    GCC support library
ii  libkcal2b            4:3.5.2-0ubuntu6    KDE calendaring library
ii  libmal1              0.40-3              A library of the functions in mals
ii  libpisock8           0.11.8-17           Library for communicating with a P
ii  libqt3-mt            3:3.3.6-1ubuntu6    Qt GUI Library (Threaded runtime v
ii  libstdc++6           4.0.3-1ubuntu5      The GNU Standard C++ Library v3

kpilot recommends no packages.

-- debconf information:
  shared/pilot/port: None

Reply to: